| Home | Libraries | People | FAQ | More

## Struct template shift_right

boost::proto::shift_right — A metafunction for generating right-shift expression types, a grammar element for matching right-shift expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct shift_right :  proto::transform< shift_right<T, U> > {
      // types
      typedef proto::expr< proto::tag::shift_right, proto::list2< T, U > > type;
      typedef type                                                         proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<shift_right>::template impl<Expr, State, Data>
      {
      };
    };

## Description